GET
/
api
/
v1
/
ibc
/
transfers
Get IBC Transfers
curl --request GET \
  --url https://prv.explorer.biya.io/api/v1/ibc/transfers
{
  "code": 123,
  "message": "<string>",
  "data": {}
}

Query Parameters

sender
string

Sender address (optional filter)

receiver
string

Receiver address (optional filter)

src_channel
string

Source channel (optional filter)

src_port
string

Source port (optional filter)

dest_channel
string

Destination channel (optional filter)

dest_port
string

Destination port (optional filter)

pagination.page
integer<int32>

Page number, starts from 1, default 1 (for page-based pagination)

pagination.page_size
integer<int32>

Page size, default 20, maximum 100

pagination.cursor
string

Cursor (for cursor-based pagination, optimized for large datasets, takes priority over page) For blocks: use block height (height) For transactions: use transaction number (tx_number) or combination of block height + transaction number

Response

200 - application/json

OK

通用响应结构

code
integer<int32>

响应状态码,0表示成功,非0表示失败

message
string

响应消息

data
object

响应数据(使用 Struct 类型,可以直接返回 JSON 对象,更直观)